<!--
{
  "documentType" : "article",
  "framework" : "AppStoreConnectAPI",
  "identifier" : "/documentation/AppStoreConnectAPI/alternative-distribution-domains",
  "metadataVersion" : "0.1.0",
  "role" : "collectionGroup",
  "title" : "Alternative Distribution Domains"
}
-->

# Alternative Distribution Domains

Create and read alternative distribution domains.

## Discussion

You use the endpoints and objects in this API collection to add your alternative distribution app’s base domain to App Store Connect. For more information on adding a domain for your alternative distribution app, see [`Add an Alternative Distribution Domain`](/documentation/AppStoreConnectAPI/POST-v1-alternativeDistributionDomains).

All the individual pages for apps that your alternative marketplace app distributes need to be on this base domain and it also needs to house your sitemap to support marketplace search. For more information about your alternative marketplace’s sitemap, see [Building a searchable catalog for your marketplace app for inclusion in Spotlight](/documentation/AppStoreConnectAPI/building-a-searchable-catalog-for-your-marketplace-app-for-inclusion-in-spotlight).

Your web distribution app needs to be served from this base domain.

## Topics

### Managing domains

[`POST /v1/alternativeDistributionDomains`](/documentation/AppStoreConnectAPI/POST-v1-alternativeDistributionDomains)

Add an alternative distribution domain to your account.

[`GET /v1/alternativeDistributionDomains/{id}`](/documentation/AppStoreConnectAPI/GET-v1-alternativeDistributionDomains-_id_)

Read information for a specific alternative distribution domain.

[`GET /v1/alternativeDistributionDomains`](/documentation/AppStoreConnectAPI/GET-v1-alternativeDistributionDomains)

List all the alternative distribution domains for your account.

[`DELETE /v1/alternativeDistributionDomains/{id}`](/documentation/AppStoreConnectAPI/DELETE-v1-alternativeDistributionDomains-_id_)

Delete the alternative distribution search domain for an app.

### Objects

[`AlternativeDistributionDomain`](/documentation/AppStoreConnectAPI/AlternativeDistributionDomain)

A web domain authorized to distribute your app outside the App Store via web distribution or an alternative marketplace.

[`AlternativeDistributionDomainCreateRequest`](/documentation/AppStoreConnectAPI/AlternativeDistributionDomainCreateRequest)

The request body you use to create an alternative distribution domain.

[`AlternativeDistributionDomainResponse`](/documentation/AppStoreConnectAPI/AlternativeDistributionDomainResponse)

The response body for endpoints that create or read a single alternative distribution domain.

[`AlternativeDistributionDomainsResponse`](/documentation/AppStoreConnectAPI/AlternativeDistributionDomainsResponse)

The response body for endpoints that list alternative distribution domains.



---

Copyright &copy; 2026 Apple Inc. All rights reserved. | [Terms of Use](https://www.apple.com/legal/internet-services/terms/site.html) | [Privacy Policy](https://www.apple.com/privacy/privacy-policy)